/*
 * SPDX-FileCopyrightText: Copyright (c) 2003-2022 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
 * SPDX-License-Identifier: MIT
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the Software),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED AS IS, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#ifndef __ls10_dev_egress_ip_h__
#define __ls10_dev_egress_ip_h__
/* This file is autogenerated.  Do not edit */
#define NV_EGRESS          0x00004fff:0x00004000 /* RW--D */
#define NV_EGRESS_CTRL                                     0x00004040      /* RW-4R */
#define NV_EGRESS_CTRL_ZERO_OUT_SWXATTR_DISABLE            0:0             /* RWEVF */
#define NV_EGRESS_CTRL_ZERO_OUT_SWXATTR_DISABLE_OFF        0x00000000      /* RWE-V */
#define NV_EGRESS_CTRL_ZERO_OUT_SWXATTR_DISABLE_ON         0x00000001      /* RW--V */
#define NV_EGRESS_CTRL_CTO_ENB                             9:9             /* RWEVF */
#define NV_EGRESS_CTRL_CTO_ENB_ON                          0x00000001      /* RWE-V */
#define NV_EGRESS_CTRL_CTO_ENB_OFF                         0x00000000      /* RW--V */
#define NV_EGRESS_CTRL_CTO_ENB__TPROD                      0x00000000      /* RW--V */
#define NV_EGRESS_CTO_TIMER_LIMIT                          0x00004048      /* RW-4R */
#define NV_EGRESS_CTO_TIMER_LIMIT_LIMIT                    19:0            /* RWEVF */
#define NV_EGRESS_CTO_TIMER_LIMIT_LIMIT_INIT               0x00003e77      /* RWE-V */
#define NV_EGRESS_BUFFER_POINTERS0                         0x00004310      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS0_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS0_WRITE_INIT              0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS0_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS0_READ_INIT               0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS1                         0x00004314      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS1_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS1_WRITE_INIT              0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS1_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS1_READ_INIT               0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS2                         0x00004318      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS2_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS2_WRITE_INIT              0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS2_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS2_READ_INIT               0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS3                         0x0000431c      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS3_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS3_WRITE_INIT              0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS3_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS3_READ_INIT               0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS4                         0x00004320      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS4_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS4_WRITE_INIT              0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS4_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS4_READ_INIT               0x00000000      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS5                         0x00004324      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS5_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS5_WRITE_INIT              0x00000040      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS5_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS5_READ_INIT               0x00000040      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS6                         0x00004328      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS6_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS6_WRITE_INIT              0x00000080      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS6_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS6_READ_INIT               0x00000080      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS7                         0x0000432c      /* R--4R */
#define NV_EGRESS_BUFFER_POINTERS7_WRITE                   7:0             /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS7_WRITE_INIT              0x000000c0      /* R-E-V */
#define NV_EGRESS_BUFFER_POINTERS7_READ                    23:16           /* R-EVF */
#define NV_EGRESS_BUFFER_POINTERS7_READ_INIT               0x000000c0      /* R-E-V */
#define NV_EGRESS_NCISOC_CREDIT0                           0x00004370      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT0_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT0_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_NCISOC_CREDIT1                           0x00004374      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT1_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT1_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_NCISOC_CREDIT2                           0x00004378      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT2_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT2_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_NCISOC_CREDIT3                           0x0000437c      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT3_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT3_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_NCISOC_CREDIT4                           0x00004380      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT4_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT4_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_NCISOC_CREDIT5                           0x00004384      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT5_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT5_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_NCISOC_CREDIT6                           0x00004388      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT6_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT6_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_NCISOC_CREDIT7                           0x0000438c      /* R--4R */
#define NV_EGRESS_NCISOC_CREDIT7_NUM                       9:0             /* R-IVF */
#define NV_EGRESS_NCISOC_CREDIT7_NUM_INIT                  0x00000000      /* R-I-V */
#define NV_EGRESS_ERR_STATUS_0                             0x00004400      /* RW-4R */
#define NV_EGRESS_ERR_STATUS_0_EGRESSBUFERR                0:0             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_EGRESSBUFERR_NONE           0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_EGRESSBUFERR_CLEAR          0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_PKTROUTEERR                 1:1             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_PKTROUTEERR_NONE            0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_PKTROUTEERR_CLEAR           0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_SEQIDERR                    2:2             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_SEQIDERR_NONE               0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_SEQIDERR_CLEAR              0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_ECC_LIMIT_ERR     3:3             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_ECC_LIMIT_ERR_NONE 0x00000000     /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_ECC_DBE_ERR       4:4             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_ECC_DBE_ERR_NONE  0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_ECC_DBE_ERR_CLEAR 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_RAM_OUT_HDR_ECC_LIMIT_ERR   5:5             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_RAM_OUT_HDR_ECC_LIMIT_ERR_NONE 0x00000000   /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_RAM_OUT_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_RAM_OUT_HDR_ECC_DBE_ERR     6:6             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_RAM_OUT_HDR_ECC_DBE_ERR_NONE 0x00000000     /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_RAM_OUT_HDR_ECC_DBE_ERR_CLEAR 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_NCISOCCREDITOVFL            7:7             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_NCISOCCREDITOVFL_NONE       0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_NCISOCCREDITOVFL_CLEAR      0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_REQTGTIDMISMATCHERR         8:8             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_REQTGTIDMISMATCHERR_NONE    0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_REQTGTIDMISMATCHERR_CLEAR   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_RSPREQIDMISMATCHERR         9:9             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_RSPREQIDMISMATCHERR_NONE    0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_RSPREQIDMISMATCHERR_CLEAR   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_URRSPERR                    10:10           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_URRSPERR_NONE               0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_URRSPERR_CLEAR              0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_PRIVRSPERR                  11:11           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_PRIVRSPERR_NONE             0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_PRIVRSPERR_CLEAR            0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_HWRSPERR                    12:12           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_HWRSPERR_NONE               0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_HWRSPERR_CLEAR              0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_PARITY_ERR        13:13           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_PARITY_ERR_NONE   0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_HDR_PARITY_ERR_CLEAR  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_NCISOC_CREDIT_PARITY_ERR    14:14           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_NCISOC_CREDIT_PARITY_ERR_NONE 0x00000000    /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_NCISOC_CREDIT_PARITY_ERR_CLEAR 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_FLITTYPE_MISMATCH_ERR 15:15           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_FLITTYPE_MISMATCH_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_FLITTYPE_MISMATCH_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_CREDIT_TIME_OUT_ERR         16:16           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_CREDIT_TIME_OUT_ERR_NONE    0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_CREDIT_TIME_OUT_ERR_CLEAR   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_RFU                         17:17           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_RFU_NONE                    0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_RFU_CLEAR                   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_INVALIDVCSET_ERR            18:18           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_INVALIDVCSET_ERR_NONE       0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_INVALIDVCSET_ERR_CLEAR      0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_SIDEBAND_PD_PARITY_ERR 19:19          /* RWDVF */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_SIDEBAND_PD_PARITY_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_0_NXBAR_SIDEBAND_PD_PARITY_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0                             0x00004404      /* RW-4R */
#define NV_EGRESS_ERR_LOG_EN_0_EGRESSBUFERR                0:0             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_EGRESSBUFERR__PROD          0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_EGRESSBUFERR_DISABLE        0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_EGRESSBUFERR_ENABLE         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_PKTROUTEERR                 1:1             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_PKTROUTEERR__PROD           0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_PKTROUTEERR_DISABLE         0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_PKTROUTEERR_ENABLE          0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_SEQIDERR                    2:2             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_SEQIDERR__PROD              0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_SEQIDERR_DISABLE            0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_SEQIDERR_ENABLE             0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_LIMIT_ERR     3:3             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_LIMIT_ERR__PROD 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000  /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_DBE_ERR       4:4             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_DBE_ERR__PROD 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_DBE_ERR_DISABLE 0x00000000    /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_ECC_DBE_ERR_ENABLE 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR   5:5             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR__PROD 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_DBE_ERR     6:6             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_DBE_ERR__PROD 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_DISABLE 0x00000000  /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_ENABLE 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOCCREDITOVFL            7:7             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOCCREDITOVFL__PROD      0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOCCREDITOVFL_DISABLE    0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOCCREDITOVFL_ENABLE     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_REQTGTIDMISMATCHERR         8:8             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_REQTGTIDMISMATCHERR__PROD   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_REQTGTIDMISMATCHERR__TPROD  0x00000000      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_REQTGTIDMISMATCHERR_DISABLE 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_REQTGTIDMISMATCHERR_ENABLE  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RSPREQIDMISMATCHERR         9:9             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_RSPREQIDMISMATCHERR__PROD   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RSPREQIDMISMATCHERR__TPROD  0x00000000      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RSPREQIDMISMATCHERR_DISABLE 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_RSPREQIDMISMATCHERR_ENABLE  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_URRSPERR                    10:10           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_URRSPERR__PROD              0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_URRSPERR__TPROD             0x00000000      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_URRSPERR_DISABLE            0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_URRSPERR_ENABLE             0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_PRIVRSPERR                  11:11           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_PRIVRSPERR__PROD            0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_PRIVRSPERR__TPROD           0x00000000      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_PRIVRSPERR_DISABLE          0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_PRIVRSPERR_ENABLE           0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_HWRSPERR                    12:12           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_HWRSPERR__PROD              0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_HWRSPERR__TPROD             0x00000000      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_HWRSPERR_DISABLE            0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_HWRSPERR_ENABLE             0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_PARITY_ERR        13:13           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_PARITY_ERR__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_PARITY_ERR_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_HDR_PARITY_ERR_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOC_CREDIT_PARITY_ERR    14:14           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOC_CREDIT_PARITY_ERR__PROD 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOC_CREDIT_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_NCISOC_CREDIT_PARITY_ERR_ENABLE 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR 15:15           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_CREDIT_TIME_OUT_ERR         16:16           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_CREDIT_TIME_OUT_ERR__PROD   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_CREDIT_TIME_OUT_ERR__TPROD  0x00000000      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_CREDIT_TIME_OUT_ERR_DISABLE 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_CREDIT_TIME_OUT_ERR_ENABLE  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_RFU                         17:17           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_RFU_DISABLE                 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_RFU_ENABLE                  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_INVALIDVCSET_ERR            18:18           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_INVALIDVCSET_ERR__PROD      0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_INVALIDVCSET_ERR__TPROD     0x00000000      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_INVALIDVCSET_ERR_DISABLE    0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_INVALIDVCSET_ERR_ENABLE     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR 19:19          /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0                    0x00004408      /* RW-4R */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_EGRESSBUFERR       0:0             /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_EGRESSBUFERR__PROD 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_EGRESSBUFERR_DISABLE 0x00000000    /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_EGRESSBUFERR_ENABLE 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_PKTROUTEERR        1:1             /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_PKTROUTEERR__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_PKTROUTEERR_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_PKTROUTEERR_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_SEQIDERR           2:2             /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_SEQIDERR__PROD     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_SEQIDERR_DISABLE   0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_SEQIDERR_ENABLE    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_LIMIT_ERR 3:3        /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_DBE_ERR 4:4          /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR 5:5      /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_DBE_ERR 6:6        /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOCCREDITOVFL   7:7             /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOCCREDITOVFL__PROD 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOCCREDITOVFL_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOCCREDITOVFL_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR 8:8            /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR__TPROD 0x00000000 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR 9:9            /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR__TPROD 0x00000000 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_URRSPERR           10:10           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_URRSPERR__PROD     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_URRSPERR__TPROD    0x00000000      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_URRSPERR_DISABLE   0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_URRSPERR_ENABLE    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_PRIVRSPERR         11:11           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_PRIVRSPERR_DISABLE 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_PRIVRSPERR_ENABLE  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_HWRSPERR           12:12           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_HWRSPERR__PROD     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_HWRSPERR__TPROD    0x00000000      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_HWRSPERR_DISABLE   0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_HWRSPERR_ENABLE    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_PARITY_ERR 13:13         /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_HDR_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOC_CREDIT_PARITY_ERR 14:14     /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOC_CREDIT_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOC_CREDIT_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NCISOC_CREDIT_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR 15:15  /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR 16:16          /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR__TPROD 0x00000000 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RFU                17:17           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RFU_DISABLE        0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_RFU_ENABLE         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_INVALIDVCSET_ERR   18:18           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_INVALIDVCSET_ERR__PROD 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_INVALIDVCSET_ERR__TPROD 0x00000000 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_INVALIDVCSET_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_INVALIDVCSET_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR 19:19 /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0                0x0000440c      /* RW-4R */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_EGRESSBUFERR   0:0             /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_EGRESSBUFERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_EGRESSBUFERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PKTROUTEERR    1:1             /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PKTROUTEERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PKTROUTEERR_ENABLE 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_SEQIDERR       2:2             /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_SEQIDERR_DISABLE 0x00000000    /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_SEQIDERR_ENABLE 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_LIMIT_ERR 3:3    /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_DBE_ERR 4:4      /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR 5:5  /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_DBE_ERR 6:6    /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NCISOCCREDITOVFL 7:7           /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NCISOCCREDITOVFL_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NCISOCCREDITOVFL_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR 8:8        /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_REQTGTIDMISMATCHERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR 9:9        /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RSPREQIDMISMATCHERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_URRSPERR       10:10           /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_URRSPERR_DISABLE 0x00000000    /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_URRSPERR_ENABLE 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PRIVRSPERR     11:11           /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PRIVRSPERR__PROD 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PRIVRSPERR__TPROD 0x00000000   /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PRIVRSPERR_DISABLE 0x00000000  /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_PRIVRSPERR_ENABLE 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_HWRSPERR       12:12           /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_HWRSPERR_DISABLE 0x00000000    /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_HWRSPERR_ENABLE 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_PARITY_ERR 13:13     /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_HDR_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NCISOC_CREDIT_PARITY_ERR 14:14 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NCISOC_CREDIT_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NCISOC_CREDIT_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR 15:15 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR 16:16      /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_CREDIT_TIME_OUT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RFU            17:17           /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RFU_DISABLE    0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_RFU_ENABLE     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_INVALIDVCSET_ERR 18:18         /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_INVALIDVCSET_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_INVALIDVCSET_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR 19:19 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CORRECTABLE_REPORT_EN_0              0x00004410      /* RW-4R */
#define NV_EGRESS_ERR_CONTAIN_EN_0                         0x00004414      /* RW-4R */
#define NV_EGRESS_ERR_CONTAIN_EN_0_EGRESSBUFERR            0:0             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_EGRESSBUFERR__PROD      0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_EGRESSBUFERR_DISABLE    0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_EGRESSBUFERR_ENABLE     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_PKTROUTEERR             1:1             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_PKTROUTEERR__PROD       0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_PKTROUTEERR_DISABLE     0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_PKTROUTEERR_ENABLE      0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_SEQIDERR                2:2             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_SEQIDERR__PROD          0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_SEQIDERR_DISABLE        0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_SEQIDERR_ENABLE         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_ECC_LIMIT_ERR 3:3             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_ECC_DBE_ERR   4:4             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_ECC_DBE_ERR__PROD 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR 5:5           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RAM_OUT_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RAM_OUT_HDR_ECC_DBE_ERR 6:6             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RAM_OUT_HDR_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RAM_OUT_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOCCREDITOVFL        7:7             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOCCREDITOVFL__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOCCREDITOVFL_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOCCREDITOVFL_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_REQTGTIDMISMATCHERR     8:8             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_REQTGTIDMISMATCHERR__PROD 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_REQTGTIDMISMATCHERR__TPROD 0x00000000   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_REQTGTIDMISMATCHERR_DISABLE 0x00000000  /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_REQTGTIDMISMATCHERR_ENABLE 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RSPREQIDMISMATCHERR     9:9             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RSPREQIDMISMATCHERR__PROD 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RSPREQIDMISMATCHERR__TPROD 0x00000000   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RSPREQIDMISMATCHERR_DISABLE 0x00000000  /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RSPREQIDMISMATCHERR_ENABLE 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_URRSPERR                10:10           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_URRSPERR__PROD          0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_URRSPERR__TPROD         0x00000000      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_URRSPERR_DISABLE        0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_URRSPERR_ENABLE         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_PRIVRSPERR              11:11           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_PRIVRSPERR_DISABLE      0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_PRIVRSPERR_ENABLE       0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_HWRSPERR                12:12           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_HWRSPERR__PROD          0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_HWRSPERR__TPROD         0x00000000      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_HWRSPERR_DISABLE        0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_HWRSPERR_ENABLE         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_PARITY_ERR    13:13           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_PARITY_ERR__PROD 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_HDR_PARITY_ERR_ENABLE 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOC_CREDIT_PARITY_ERR 14:14          /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOC_CREDIT_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOC_CREDIT_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NCISOC_CREDIT_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR 15:15       /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_CREDIT_TIME_OUT_ERR     16:16           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_CREDIT_TIME_OUT_ERR__PROD 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_CREDIT_TIME_OUT_ERR__TPROD 0x00000000   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_CREDIT_TIME_OUT_ERR_DISABLE 0x00000000  /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_CREDIT_TIME_OUT_ERR_ENABLE 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RFU                     17:17           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RFU_DISABLE             0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_RFU_ENABLE              0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_INVALIDVCSET_ERR        18:18           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_INVALIDVCSET_ERR__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_INVALIDVCSET_ERR__TPROD 0x00000000      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_INVALIDVCSET_ERR_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_INVALIDVCSET_ERR_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR 19:19      /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_0_NXBAR_SIDEBAND_PD_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_0                              0x0000441c      /* RW-4R */
#define NV_EGRESS_ERR_FIRST_0_EGRESSBUFERR                 0:0             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_EGRESSBUFERR_NONE            0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_EGRESSBUFERR_CLEAR           0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_PKTROUTEERR                  1:1             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_PKTROUTEERR_NONE             0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_PKTROUTEERR_CLEAR            0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_SEQIDERR                     2:2             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_SEQIDERR_NONE                0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_SEQIDERR_CLEAR               0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_ECC_LIMIT_ERR      3:3             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_ECC_LIMIT_ERR_NONE 0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_ECC_DBE_ERR        4:4             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_ECC_DBE_ERR_NONE   0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_ECC_DBE_ERR_CLEAR  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_RAM_OUT_HDR_ECC_LIMIT_ERR    5:5             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_RAM_OUT_HDR_ECC_LIMIT_ERR_NONE 0x00000000    /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_RAM_OUT_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_RAM_OUT_HDR_ECC_DBE_ERR      6:6             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_RAM_OUT_HDR_ECC_DBE_ERR_NONE 0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_RAM_OUT_HDR_ECC_DBE_ERR_CLEAR 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_NCISOCCREDITOVFL             7:7             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_NCISOCCREDITOVFL_NONE        0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_NCISOCCREDITOVFL_CLEAR       0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_REQTGTIDMISMATCHERR          8:8             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_REQTGTIDMISMATCHERR_NONE     0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_REQTGTIDMISMATCHERR_CLEAR    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_RSPREQIDMISMATCHERR          9:9             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_RSPREQIDMISMATCHERR_NONE     0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_RSPREQIDMISMATCHERR_CLEAR    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_URRSPERR                     10:10           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_URRSPERR_NONE                0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_URRSPERR_CLEAR               0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_PRIVRSPERR                   11:11           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_PRIVRSPERR_NONE              0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_PRIVRSPERR_CLEAR             0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_HWRSPERR                     12:12           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_HWRSPERR_NONE                0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_HWRSPERR_CLEAR               0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_PARITY_ERR         13:13           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_PARITY_ERR_NONE    0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_HDR_PARITY_ERR_CLEAR   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_NCISOC_CREDIT_PARITY_ERR     14:14           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_NCISOC_CREDIT_PARITY_ERR_NONE 0x00000000     /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_NCISOC_CREDIT_PARITY_ERR_CLEAR 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_FLITTYPE_MISMATCH_ERR  15:15           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_FLITTYPE_MISMATCH_ERR_NONE 0x00000000  /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_FLITTYPE_MISMATCH_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_CREDIT_TIME_OUT_ERR          16:16           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_CREDIT_TIME_OUT_ERR_NONE     0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_CREDIT_TIME_OUT_ERR_CLEAR    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_RFU                          17:17           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_RFU_NONE                     0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_RFU_CLEAR                    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_INVALIDVCSET_ERR             18:18           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_INVALIDVCSET_ERR_NONE        0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_INVALIDVCSET_ERR_CLEAR       0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_SIDEBAND_PD_PARITY_ERR 19:19           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_SIDEBAND_PD_PARITY_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_FIRST_0_NXBAR_SIDEBAND_PD_PARITY_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_HEADER_LOG_4                         0x00004430      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_4_DW                      31:0            /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_4_DW_INIT                 0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_5                         0x00004434      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_5_DW                      31:0            /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_5_DW_INIT                 0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_6                         0x00004438      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_6_DW                      31:0            /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_6_DW_INIT                 0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_7                         0x0000443c      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_7_DW                      31:0            /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_7_DW_INIT                 0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_8                         0x00004440      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_8_DW                      31:0            /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_8_DW_INIT                 0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_9                         0x00004444      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_9_DW                      31:0            /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_9_DW_INIT                 0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_10                        0x00004448      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_10_DW                     31:0            /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_10_DW_INIT                0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_VALID                     0x0000444c      /* R--4R */
#define NV_EGRESS_ERR_HEADER_LOG_VALID_HEADERVALID0        0:0             /* R-DVF */
#define NV_EGRESS_ERR_HEADER_LOG_VALID_HEADERVALID0_INVALID 0x00000000     /* R-D-V */
#define NV_EGRESS_ERR_HEADER_LOG_VALID_HEADERVALID0_VALID  0x00000001      /* R---V */
#define NV_EGRESS_ERR_TIMESTAMP_LOG                        0x00004450      /* R--4R */
#define NV_EGRESS_ERR_TIMESTAMP_LOG_TIMESTAMP              23:0            /* R-DVF */
#define NV_EGRESS_ERR_TIMESTAMP_LOG_TIMESTAMP_INIT         0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_MISC_LOG_0                           0x00004454      /* R--4R */
#define NV_EGRESS_ERR_MISC_LOG_0_SPORT                     6:0             /* R-DVF */
#define NV_EGRESS_ERR_MISC_LOG_0_SPORT_INIT                0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_MISC_LOG_0_ENCODEDVC                 10:8            /* R-DVF */
#define NV_EGRESS_ERR_MISC_LOG_0_ENCODEDVC_INIT            0x00000000      /* R-D-V */
#define NV_EGRESS_ERR_ECC_CTRL                             0x00004470      /* RW-4R */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_ECC_ENABLE            0:0             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_ECC_ENABLE_ENABLE     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_ECC_ENABLE_DISABLE    0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_ECC_ENABLE__PROD      0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_PARITY_ENABLE         1:1             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_PARITY_ENABLE_ENABLE  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_PARITY_ENABLE_DISABLE 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_PARITY_ENABLE__PROD   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_SIDEBAND_PD_PARITY_ENABLE 2:2         /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_SIDEBAND_PD_PARITY_ENABLE_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_SIDEBAND_PD_PARITY_ENABLE_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_SIDEBAND_PD_PARITY_ENABLE__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_ECC_ENABLE  3:3             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_ECC_ENABLE_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_ECC_ENABLE_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_ECC_ENABLE__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_PARITY_ENABLE 4:4           /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_PARITY_ENABLE_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_PARITY_ENABLE_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_NXBAR_REDUCTION_PARITY_ENABLE__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSPCTRLSTORE_ECC_ENABLE   5:5             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSPCTRLSTORE_ECC_ENABLE_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSPCTRLSTORE_ECC_ENABLE_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSPCTRLSTORE_ECC_ENABLE__PROD 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_RBCTRLSTORE_ECC_ENABLE      6:6             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_RBCTRLSTORE_ECC_ENABLE_ENABLE 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_RBCTRLSTORE_ECC_ENABLE_DISABLE 0x00000000   /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_RBCTRLSTORE_ECC_ENABLE__PROD 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDSGT_ECC_ENABLE         7:7             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDSGT_ECC_ENABLE_ENABLE  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDSGT_ECC_ENABLE_DISABLE 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDSGT_ECC_ENABLE__PROD   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_RAM_OUT_ECC_ENABLE          8:8             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_RAM_OUT_ECC_ENABLE_ENABLE   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_RAM_OUT_ECC_ENABLE_DISABLE  0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_RAM_OUT_ECC_ENABLE__PROD    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_ECC_ENABLE           9:9             /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_ECC_ENABLE_ENABLE    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_ECC_ENABLE_DISABLE   0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_ECC_ENABLE__PROD     0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_PARITY_ENABLE        10:10           /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_PARITY_ENABLE_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_PARITY_ENABLE_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_NCISOC_PARITY_ENABLE__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDBUF_ECC_ENABLE         11:11           /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDBUF_ECC_ENABLE_ENABLE  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDBUF_ECC_ENABLE_DISABLE 0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_MCREDBUF_ECC_ENABLE__PROD   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSP_RAM_ECC_ENABLE        12:12           /* RWEVF */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSP_RAM_ECC_ENABLE_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSP_RAM_ECC_ENABLE_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_ECC_CTRL_MCRSP_RAM_ECC_ENABLE__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_NXBAR_ECC_ERROR_COUNTER              0x00004480      /* RW-4R */
#define NV_EGRESS_ERR_NXBAR_ECC_ERROR_COUNTER_ERROR_COUNT  23:0            /* RWDVF */
#define NV_EGRESS_ERR_NXBAR_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000  /* RWD-V */
#define NV_EGRESS_ERR_NXBAR_ECC_ERROR_COUNTER_LIMIT        0x00004484      /* RW-4R */
#define NV_EGRESS_ERR_NXBAR_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0       /* RWDVF */
#define NV_EGRESS_ERR_NXBAR_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_ERR_NXBAR_REDUCTION_ECC_ERROR_COUNTER    0x00004488      /* RW-4R */
#define NV_EGRESS_ERR_NXBAR_REDUCTION_ECC_ERROR_COUNTER_ERROR_COUNT 23:0   /* RWDVF */
#define NV_EGRESS_ERR_NXBAR_REDUCTION_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_COUNTER            0x0000448c      /* RW-4R */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_COUNTER_ERROR_COUNT 23:0           /* RWDVF */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_COUNTER_LIMIT      0x00004490      /* RW-4R */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0     /* RWDVF */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_ADDRESS            0x00004494      /* R--4R */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_ADDRESS_ERROR_ADDRESS 7:0          /* R-DVF */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_ADDRESS_ERROR_ADDRESS_INIT 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_ADDRESS_VALID      0x00004498      /* R--4R */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_ADDRESS_VALID_VALID 0:0            /* R-DVF */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_ADDRESS_VALID_VALID_INVALID 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_RAM_OUT_ECC_ERROR_ADDRESS_VALID_VALID_VALID 0x00000001 /* R---V */
#define NV_EGRESS_ERR_NXBAR_REDUCTION_ECC_ERROR_COUNTER_LIMIT 0x0000449c   /* RW-4R */
#define NV_EGRESS_ERR_NXBAR_REDUCTION_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0 /* RWDVF */
#define NV_EGRESS_ERR_NXBAR_REDUCTION_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_MCREDRAMADDR                             0x00004520      /* RW-4R */
#define NV_EGRESS_MCREDRAMADDR_RAM_ADDR                    12:0            /* RWEVF */
#define NV_EGRESS_MCREDRAMADDR_RAM_ADDR_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDRAMADDR_RAM_ADDR_MCREDSGT_DEPTH     0x000000ff      /* RW--V */
#define NV_EGRESS_MCREDRAMADDR_RAM_ADDR_MCRSPCTRLSTORE_DEPTH 0x000000ff    /* RW--V */
#define NV_EGRESS_MCREDRAMADDR_RAM_ADDR_RBCTRLSTORE_DEPTH  0x000000ff      /* RW--V */
#define NV_EGRESS_MCREDRAMADDR_RAM_ADDR_MCREDBUF_DEPTH     0x00001fff      /* RW--V */
#define NV_EGRESS_MCREDRAMADDR_RAM_SEL                     18:17           /* RWEVF */
#define NV_EGRESS_MCREDRAMADDR_RAM_SEL_SELECTSMCRSPCTRLSTORERAM 0x00000000 /* RWE-V */
#define NV_EGRESS_MCREDRAMADDR_RAM_SEL_SELECTSRBCTRLSTORERAM 0x00000001    /* RW--V */
#define NV_EGRESS_MCREDRAMADDR_RAM_SEL_SELECTSMCREDSGTRAM  0x00000002      /* RW--V */
#define NV_EGRESS_MCREDRAMADDR_RAM_SEL_SELECTSMCREDBUFRAM  0x00000003      /* RW--V */
#define NV_EGRESS_MCREDRAMADDR_AUTO_INCR                   31:31           /* RWEVF */
#define NV_EGRESS_MCREDRAMADDR_AUTO_INCR_ENABLE            0x00000001      /* RWE-V */
#define NV_EGRESS_MCREDRAMADDR_AUTO_INCR_DISABLE           0x00000000      /* RW--V */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0                      0x00004524      /* RW-4R */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_MCID                 6:0             /* RWEVF */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_MCID_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_MCSIZE               14:9            /* RWEVF */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_MCSIZE_INIT          0x00000000      /* RWE-V */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_NVL_REQ_ATOMIC_NR    17:17           /* RWEVF */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_NVL_REQ_ATOMIC_NR_INIT 0x00000000    /* RWE-V */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_VCSET                18:18           /* RWEVF */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_VCSET_VCSET0         0x00000000      /* RWE-V */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_VCSET_VCSET1         0x00000001      /* RW--V */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_MC_RSP_CNT           25:19           /* RWEVF */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_MC_RSP_CNT_INIT      0x00000000      /* RWE-V */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_ECC                  31:26           /* R-EVF */
#define NV_EGRESS_MCRSPCTRLSTOREDATA0_ECC_INIT             0x00000000      /* R-E-V */
#define NV_EGRESS_RBCTRLSTOREDATA0                         0x00004528      /* RW-4R */
#define NV_EGRESS_RBCTRLSTOREDATA0_MCID                    6:0             /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA0_MCID_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA0_MCSIZE                  14:9            /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA0_MCSIZE_INIT             0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA0_VCSET                   18:18           /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA0_VCSET_VCSET0            0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA0_VCSET_VCSET1            0x00000001      /* RW--V */
#define NV_EGRESS_RBCTRLSTOREDATA0_RB_RSP_CNT              25:19           /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA0_RB_RSP_CNT_INIT         0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA0_ECC                     31:26           /* R-EVF */
#define NV_EGRESS_RBCTRLSTOREDATA0_ECC_INIT                0x00000000      /* R-E-V */
#define NV_EGRESS_RBCTRLSTOREDATA1                         0x0000452c      /* RW-4R */
#define NV_EGRESS_RBCTRLSTOREDATA1_OPCMD                   3:0             /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA1_OPCMD_INIT              0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA1_OPSIZE                  6:4             /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA1_OPSIZE_INIT             0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA1_OPSIGN                  7:7             /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA1_OPSIGN_SIGNED           0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA1_OPSIGN_UNSIGNED         0x00000001      /* RW--V */
#define NV_EGRESS_RBCTRLSTOREDATA1_MP                      9:8             /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA1_MP_NO_MIXED_PRECISION   0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA1_MP_2X_FABRIC_ONLY_MIXED_PRECISION 0x00000001 /* RW--V */
#define NV_EGRESS_RBCTRLSTOREDATA1_MP_2X_MIXED_PRECISION   0x00000002      /* RW--V */
#define NV_EGRESS_RBCTRLSTOREDATA1_NVL_REQ_SIZE            11:10           /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA1_NVL_REQ_SIZE_32B        0x00000000      /* RWE-V */
#define NV_EGRESS_RBCTRLSTOREDATA1_NVL_REQ_SIZE_64B        0x00000001      /* RW--V */
#define NV_EGRESS_RBCTRLSTOREDATA1_NVL_REQ_SIZE_96B        0x00000002      /* RW--V */
#define NV_EGRESS_RBCTRLSTOREDATA1_NVL_REQ_SIZE_128B       0x00000003      /* RW--V */
#define NV_EGRESS_RBCTRLSTOREDATA1_RSVD                    13:12           /* RWEVF */
#define NV_EGRESS_RBCTRLSTOREDATA1_RSVD_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0                            0x00004530      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX0                     6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX0_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX0                 7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX0_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX1                     14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX1_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX1                 15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX1_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX2                     22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX2_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX2                 23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX2_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX3                     30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_RBIDX3_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX3                 31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA0_VLD_RBIDX3_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1                            0x00004534      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX4                     6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX4_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX4                 7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX4_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX5                     14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX5_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX5                 15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX5_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX6                     22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX6_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX6                 23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX6_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX7                     30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_RBIDX7_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX7                 31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA1_VLD_RBIDX7_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2                            0x00004538      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX8                     6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX8_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX8                 7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX8_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX9                     14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX9_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX9                 15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX9_INIT            0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX10                    22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX10_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX10                23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX10_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX11                    30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_RBIDX11_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX11                31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA2_VLD_RBIDX11_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3                            0x0000453c      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX12                    6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX12_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX12                7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX12_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX13                    14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX13_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX13                15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX13_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX14                    22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX14_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX14                23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX14_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX15                    30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_RBIDX15_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX15                31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA3_VLD_RBIDX15_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4                            0x00004540      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX16                    6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX16_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX16                7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX16_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX17                    14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX17_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX17                15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX17_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX18                    22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX18_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX18                23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX18_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX19                    30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_RBIDX19_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX19                31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA4_VLD_RBIDX19_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5                            0x00004544      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX20                    6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX20_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX20                7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX20_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX21                    14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX21_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX21                15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX21_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX22                    22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX22_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX22                23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX22_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX23                    30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_RBIDX23_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX23                31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA5_VLD_RBIDX23_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6                            0x00004548      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX24                    6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX24_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX24                7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX24_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX25                    14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX25_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX25                15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX25_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX26                    22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX26_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX26                23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX26_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX27                    30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_RBIDX27_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX27                31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA6_VLD_RBIDX27_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7                            0x0000454c      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX28                    6:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX28_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX28                7:7             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX28_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX29                    14:8            /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX29_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX29                15:15           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX29_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX30                    22:16           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX30_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX30                23:23           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX30_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX31                    30:24           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_RBIDX31_INIT               0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX31                31:31           /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA7_VLD_RBIDX31_INIT           0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA8                            0x00004550      /* RW-4R */
#define NV_EGRESS_MCREDSGTDATA8_RSVD                       1:0             /* RWEVF */
#define NV_EGRESS_MCREDSGTDATA8_RSVD_INIT                  0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDSGTDATA8_ECC                        13:4            /* R-EVF */
#define NV_EGRESS_MCREDSGTDATA8_ECC_INIT                   0x00000000      /* R-E-V */
#define NV_EGRESS_MCREDBUFDATA0                            0x00004554      /* RW-4R */
#define NV_EGRESS_MCREDBUFDATA0_DATA_0                     31:0            /* RWEVF */
#define NV_EGRESS_MCREDBUFDATA0_DATA_0_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDBUFDATA1                            0x00004558      /* RW-4R */
#define NV_EGRESS_MCREDBUFDATA1_DATA_1                     31:0            /* RWEVF */
#define NV_EGRESS_MCREDBUFDATA1_DATA_1_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDBUFDATA2                            0x0000455c      /* RW-4R */
#define NV_EGRESS_MCREDBUFDATA2_DATA_2                     31:0            /* RWEVF */
#define NV_EGRESS_MCREDBUFDATA2_DATA_2_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDBUFDATA3                            0x00004560      /* RW-4R */
#define NV_EGRESS_MCREDBUFDATA3_DATA_3                     31:0            /* RWEVF */
#define NV_EGRESS_MCREDBUFDATA3_DATA_3_INIT                0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDBUFDATA4                            0x00004564      /* RW-4R */
#define NV_EGRESS_MCREDBUFDATA4_SRC_TRUNKPORT              0:0             /* RWEVF */
#define NV_EGRESS_MCREDBUFDATA4_SRC_TRUNKPORT_ACCESS       0x00000000      /* RWE-V */
#define NV_EGRESS_MCREDBUFDATA4_SRC_TRUNKPORT_TRUNK        0x00000001      /* RW--V */
#define NV_EGRESS_MCREDBUFDATA4_ECC                        31:23           /* R-EVF */
#define NV_EGRESS_MCREDBUFDATA4_ECC_INIT                   0x00000000      /* R-E-V */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_COUNTER     0x00004568      /* RW-4R */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_COUNTER_ERROR_COUNT 23:0    /* RWDVF */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_COUNTER_LIMIT 0x0000456c    /* RW-4R */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0 /* RWDVF */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_ADDRESS     0x00004570      /* R--4R */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_ADDRESS_ERROR_ADDRESS 7:0   /* R-DVF */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_ADDRESS_ERROR_ADDRESS_INIT 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_ADDRESS_VALID 0x00004574    /* R--4R */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_ADDRESS_VALID_VALID 0:0     /* R-DVF */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_ADDRESS_VALID_VALID_INVALID 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCRSPCTRLSTORE_ECC_ERROR_ADDRESS_VALID_VALID_VALID 0x00000001 /* R---V */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_COUNTER        0x00004578      /* RW-4R */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_COUNTER_ERROR_COUNT 23:0       /* RWDVF */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_COUNTER_LIMIT  0x0000457c      /* RW-4R */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0 /* RWDVF */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_ADDRESS        0x00004580      /* R--4R */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_ADDRESS_ERROR_ADDRESS 7:0      /* R-DVF */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_ADDRESS_ERROR_ADDRESS_INIT 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_ADDRESS_VALID  0x00004584      /* R--4R */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_ADDRESS_VALID_VALID 0:0        /* R-DVF */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_ADDRESS_VALID_VALID_INVALID 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_RBCTRLSTORE_ECC_ERROR_ADDRESS_VALID_VALID_VALID 0x00000001 /* R---V */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_COUNTER           0x00004588      /* RW-4R */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_COUNTER_ERROR_COUNT 23:0          /* RWDVF */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_COUNTER_LIMIT     0x0000458c      /* RW-4R */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0    /* RWDVF */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_ADDRESS           0x00004590      /* R--4R */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_ADDRESS_ERROR_ADDRESS 7:0         /* R-DVF */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_ADDRESS_ERROR_ADDRESS_INIT 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_ADDRESS_VALID     0x00004594      /* R--4R */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_ADDRESS_VALID_VALID 0:0           /* R-DVF */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_ADDRESS_VALID_VALID_INVALID 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCREDSGT_ECC_ERROR_ADDRESS_VALID_VALID_VALID 0x00000001 /* R---V */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_COUNTER           0x00004598      /* RW-4R */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_COUNTER_ERROR_COUNT 23:0          /* RWDVF */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_COUNTER_LIMIT     0x0000459c      /* RW-4R */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0    /* RWDVF */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_ADDRESS           0x000045a0      /* R--4R */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_ADDRESS_ERROR_ADDRESS 7:0         /* R-DVF */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_ADDRESS_ERROR_ADDRESS_INIT 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_ADDRESS_VALID     0x000045a4      /* R--4R */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_ADDRESS_VALID_VALID 0:0           /* R-DVF */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_ADDRESS_VALID_VALID_INVALID 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCREDBUF_ECC_ERROR_ADDRESS_VALID_VALID_VALID 0x00000001 /* R---V */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_COUNTER          0x000045a8      /* RW-4R */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_COUNTER_ERROR_COUNT 23:0         /* RWDVF */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_COUNTER_ERROR_COUNT_INIT 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_COUNTER_LIMIT    0x000045ac      /* RW-4R */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT 23:0   /* RWDVF */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_COUNTER_LIMIT_ERROR_LIMIT_INIT 0x00ffffff /* RWD-V */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_ADDRESS          0x000045b0      /* R--4R */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_ADDRESS_ERROR_ADDRESS 9:0        /* R-DVF */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_ADDRESS_ERROR_ADDRESS_INIT 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_ADDRESS_VALID    0x000045b4      /* R--4R */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_ADDRESS_VALID_VALID 0:0          /* R-DVF */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_ADDRESS_VALID_VALID_INVALID 0x00000000 /* R-D-V */
#define NV_EGRESS_ERR_MCRSP_RAM_ECC_ERROR_ADDRESS_VALID_VALID_VALID 0x00000001 /* R---V */
#define NV_EGRESS_ERR_STATUS_1                             0x00004900      /* RW-4R */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR 0:0       /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR 1:1         /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_PARITY_ERR 2:2          /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_PARITY_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_HDR_PARITY_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR 3:3   /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR 4:4            /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCRSPCTRLSTORE_ECC_DBE_ERR  5:5             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCRSPCTRLSTORE_ECC_DBE_ERR_NONE 0x00000000  /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCRSPCTRLSTORE_ECC_DBE_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_RBCTRLSTORE_ECC_LIMIT_ERR   6:6             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_RBCTRLSTORE_ECC_LIMIT_ERR_NONE 0x00000000   /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_RBCTRLSTORE_ECC_LIMIT_ERR_CLEAR 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_RBCTRLSTORE_ECC_DBE_ERR     7:7             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_RBCTRLSTORE_ECC_DBE_ERR_NONE 0x00000000     /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_RBCTRLSTORE_ECC_DBE_ERR_CLEAR 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCREDSGT_ECC_LIMIT_ERR      8:8             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCREDSGT_ECC_LIMIT_ERR_NONE 0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCREDSGT_ECC_LIMIT_ERR_CLEAR 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCREDSGT_ECC_DBE_ERR        9:9             /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCREDSGT_ECC_DBE_ERR_NONE   0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCREDSGT_ECC_DBE_ERR_CLEAR  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCREDBUF_ECC_LIMIT_ERR      10:10           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCREDBUF_ECC_LIMIT_ERR_NONE 0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCREDBUF_ECC_LIMIT_ERR_CLEAR 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCREDBUF_ECC_DBE_ERR        11:11           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCREDBUF_ECC_DBE_ERR_NONE   0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCREDBUF_ECC_DBE_ERR_CLEAR  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR 12:12           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_RAM_HDR_ECC_DBE_ERR   13:13           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_RAM_HDR_ECC_DBE_ERR_NONE 0x00000000   /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_RAM_HDR_ECC_DBE_ERR_CLEAR 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_CNT_ERR               14:14           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_CNT_ERR_NONE          0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_MCRSP_CNT_ERR_CLEAR         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_STATUS_1_RBRSP_CNT_ERR               15:15           /* RWDVF */
#define NV_EGRESS_ERR_STATUS_1_RBRSP_CNT_ERR_NONE          0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_STATUS_1_RBRSP_CNT_ERR_CLEAR         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1                             0x00004904      /* RW-4R */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR 0:0       /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR 1:1         /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR 2:2          /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR 3:3   /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR 4:4            /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR  5:5             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR   6:6             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR__PROD 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_DBE_ERR     7:7             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_DBE_ERR__PROD 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000  /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_RBCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_LIMIT_ERR      8:8             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_LIMIT_ERR__PROD 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_LIMIT_ERR_DISABLE 0x00000000   /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_LIMIT_ERR_ENABLE 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_DBE_ERR        9:9             /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_DBE_ERR__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_DBE_ERR_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDSGT_ECC_DBE_ERR_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_LIMIT_ERR      10:10           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_LIMIT_ERR__PROD 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_LIMIT_ERR_DISABLE 0x00000000   /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_LIMIT_ERR_ENABLE 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_DBE_ERR        11:11           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_DBE_ERR__PROD  0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_DBE_ERR_DISABLE 0x00000000     /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCREDBUF_ECC_DBE_ERR_ENABLE 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR 12:12           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR   13:13           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR__PROD 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_CNT_ERR               14:14           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_CNT_ERR__PROD         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_CNT_ERR_DISABLE       0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_MCRSP_CNT_ERR_ENABLE        0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_RBRSP_CNT_ERR               15:15           /* RWEVF */
#define NV_EGRESS_ERR_LOG_EN_1_RBRSP_CNT_ERR__PROD         0x00000001      /* RW--V */
#define NV_EGRESS_ERR_LOG_EN_1_RBRSP_CNT_ERR_DISABLE       0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_LOG_EN_1_RBRSP_CNT_ERR_ENABLE        0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1                    0x00004908      /* RW-4R */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR 0:0 /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR 1:1 /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR 2:2 /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR 3:3 /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR 4:4   /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR 5:5     /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR 6:6      /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_DBE_ERR 7:7        /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDSGT_ECC_LIMIT_ERR 8:8         /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDSGT_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDSGT_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDSGT_ECC_DBE_ERR 9:9           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDSGT_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDSGT_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDSGT_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDBUF_ECC_LIMIT_ERR 10:10       /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDBUF_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDBUF_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDBUF_ECC_DBE_ERR 11:11         /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDBUF_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCREDBUF_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR 12:12  /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR 13:13    /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_CNT_ERR      14:14           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_CNT_ERR_DISABLE 0x00000000   /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_MCRSP_CNT_ERR_ENABLE 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBRSP_CNT_ERR      15:15           /* RWEVF */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBRSP_CNT_ERR_DISABLE 0x00000000   /* RWE-V */
#define NV_EGRESS_ERR_FATAL_REPORT_EN_1_RBRSP_CNT_ERR_ENABLE 0x00000001    /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1                0x0000490c      /* RW-4R */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR 0:0 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR 1:1 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR 2:2 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR 3:3 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR 4:4 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR 5:5 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR 6:6  /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_DBE_ERR 7:7    /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDSGT_ECC_LIMIT_ERR 8:8     /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDSGT_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDSGT_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDSGT_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDSGT_ECC_DBE_ERR 9:9       /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDSGT_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDSGT_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_LIMIT_ERR 10:10   /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_DBE_ERR 11:11     /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCREDBUF_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR 12:12 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR 13:13 /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_CNT_ERR  14:14           /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_CNT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_CNT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_MCRSP_CNT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBRSP_CNT_ERR  15:15           /* RWEVF */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBRSP_CNT_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBRSP_CNT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_NON_FATAL_REPORT_EN_1_RBRSP_CNT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CORRECTABLE_REPORT_EN_1              0x00004910      /* RW-4R */
#define NV_EGRESS_ERR_CONTAIN_EN_1                         0x00004914      /* RW-4R */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR 0:0   /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR 1:1     /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR 2:2      /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_HDR_PARITY_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR 3:3 /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR 4:4        /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR 5:5          /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSPCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR 6:6           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBCTRLSTORE_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBCTRLSTORE_ECC_DBE_ERR 7:7             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBCTRLSTORE_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBCTRLSTORE_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBCTRLSTORE_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDSGT_ECC_LIMIT_ERR  8:8             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDSGT_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDSGT_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDSGT_ECC_DBE_ERR    9:9             /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDSGT_ECC_DBE_ERR__PROD 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDSGT_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDSGT_ECC_DBE_ERR_ENABLE 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDBUF_ECC_LIMIT_ERR  10:10           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDBUF_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDBUF_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDBUF_ECC_DBE_ERR    11:11           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDBUF_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCREDBUF_ECC_DBE_ERR_ENABLE 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR 12:12       /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR 13:13         /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR__PROD 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_DISABLE 0x00000000 /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_RAM_HDR_ECC_DBE_ERR_ENABLE 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_CNT_ERR           14:14           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_CNT_ERR_DISABLE   0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_MCRSP_CNT_ERR_ENABLE    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBRSP_CNT_ERR           15:15           /* RWEVF */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBRSP_CNT_ERR_DISABLE   0x00000000      /* RWE-V */
#define NV_EGRESS_ERR_CONTAIN_EN_1_RBRSP_CNT_ERR_ENABLE    0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_1                              0x0000491c      /* RW-4R */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR 0:0        /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR 1:1          /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_ECC_DBE_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_PARITY_ERR 2:2           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_PARITY_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_HDR_PARITY_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR 3:3    /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_NXBAR_REDUCTION_FLITTYPE_MISMATCH_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR 4:4             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_NONE 0x00000000 /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCRSPCTRLSTORE_ECC_LIMIT_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCRSPCTRLSTORE_ECC_DBE_ERR   5:5             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCRSPCTRLSTORE_ECC_DBE_ERR_NONE 0x00000000   /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCRSPCTRLSTORE_ECC_DBE_ERR_CLEAR 0x00000001  /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_RBCTRLSTORE_ECC_LIMIT_ERR    6:6             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_RBCTRLSTORE_ECC_LIMIT_ERR_NONE 0x00000000    /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_RBCTRLSTORE_ECC_LIMIT_ERR_CLEAR 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_RBCTRLSTORE_ECC_DBE_ERR      7:7             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_RBCTRLSTORE_ECC_DBE_ERR_NONE 0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_RBCTRLSTORE_ECC_DBE_ERR_CLEAR 0x00000001     /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCREDSGT_ECC_LIMIT_ERR       8:8             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCREDSGT_ECC_LIMIT_ERR_NONE  0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCREDSGT_ECC_LIMIT_ERR_CLEAR 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCREDSGT_ECC_DBE_ERR         9:9             /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCREDSGT_ECC_DBE_ERR_NONE    0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCREDSGT_ECC_DBE_ERR_CLEAR   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCREDBUF_ECC_LIMIT_ERR       10:10           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCREDBUF_ECC_LIMIT_ERR_NONE  0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCREDBUF_ECC_LIMIT_ERR_CLEAR 0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCREDBUF_ECC_DBE_ERR         11:11           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCREDBUF_ECC_DBE_ERR_NONE    0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCREDBUF_ECC_DBE_ERR_CLEAR   0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR  12:12           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_NONE 0x00000000  /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_RAM_HDR_ECC_LIMIT_ERR_CLEAR 0x00000001 /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_RAM_HDR_ECC_DBE_ERR    13:13           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_RAM_HDR_ECC_DBE_ERR_NONE 0x00000000    /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_RAM_HDR_ECC_DBE_ERR_CLEAR 0x00000001   /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_CNT_ERR                14:14           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_CNT_ERR_NONE           0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_MCRSP_CNT_ERR_CLEAR          0x00000001      /* RW--V */
#define NV_EGRESS_ERR_FIRST_1_RBRSP_CNT_ERR                15:15           /* RWDVF */
#define NV_EGRESS_ERR_FIRST_1_RBRSP_CNT_ERR_NONE           0x00000000      /* RWD-V */
#define NV_EGRESS_ERR_FIRST_1_RBRSP_CNT_ERR_CLEAR          0x00000001      /* RW--V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_4                      0x00004930      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_4_DW                   31:0            /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_4_DW_INIT              0x00000000      /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_5                      0x00004934      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_5_DW                   31:0            /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_5_DW_INIT              0x00000000      /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_6                      0x00004938      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_6_DW                   31:0            /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_6_DW_INIT              0x00000000      /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_7                      0x0000493c      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_7_DW                   31:0            /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_7_DW_INIT              0x00000000      /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_8                      0x00004940      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_8_DW                   31:0            /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_8_DW_INIT              0x00000000      /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_9                      0x00004944      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_9_DW                   31:0            /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_9_DW_INIT              0x00000000      /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_10                     0x00004948      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_10_DW                  31:0            /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_10_DW_INIT             0x00000000      /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_VALID                  0x0000494c      /* R--4R */
#define NV_EGRESS_MC_ERR_HEADER_LOG_VALID_HEADERVALID0     0:0             /* R-DVF */
#define NV_EGRESS_MC_ERR_HEADER_LOG_VALID_HEADERVALID0_INVALID 0x00000000  /* R-D-V */
#define NV_EGRESS_MC_ERR_HEADER_LOG_VALID_HEADERVALID0_VALID 0x00000001    /* R---V */
#define NV_EGRESS_MC_ERR_TIMESTAMP_LOG                     0x00004950      /* R--4R */
#define NV_EGRESS_MC_ERR_TIMESTAMP_LOG_TIMESTAMP           23:0            /* R-IVF */
#define NV_EGRESS_MC_ERR_TIMESTAMP_LOG_TIMESTAMP_INIT      0x00000000      /* R-I-V */
#define NV_EGRESS_MC_ERR_MISC_LOG_0                        0x00004954      /* R--4R */
#define NV_EGRESS_MC_ERR_MISC_LOG_0_SPORT                  6:0             /* R-IVF */
#define NV_EGRESS_MC_ERR_MISC_LOG_0_SPORT_INIT             0x00000000      /* R-I-V */
#endif // __ls10_dev_egress_ip_h__
